1

I'm attempting to login to QGIS Cloud 3.1.2 but getting a Python error. See stage 2 of the setup instructions here: http://qgiscloud.com/en/pages/quickstart

Does anyone know why this error is being generated?

Its my first attempt to login and the problem occurs even on a new project with no databases or maps open.

I have Python 3.7.5 installed. Python 3.7.5 (v3.7.5:5c02a39a0b, Oct 14 2019, 18:49:57) [Clang 6.0 (clang-600.0.57)] on darwin

My QGIS setup is shown in the image.


The Python error is:

2019-12-05T09:49:04     WARNING    Traceback (most recent call last):
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/urllib/request.py", line 1317, in do_open
              encode_chunked=req.has_header('Transfer-encoding'))
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/http/client.py", line 1229, in request
              self._send_request(method, url, body, headers, encode_chunked)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/http/client.py", line 1275, in _send_request
              self.endheaders(body, encode_chunked=encode_chunked)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/http/client.py", line 1224, in endheaders
              self._send_output(message_body, encode_chunked=encode_chunked)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/http/client.py", line 1016, in _send_output
              self.send(msg)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/http/client.py", line 956, in send
              self.connect()
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/http/client.py", line 1392, in connect
              server_hostname=server_hostname)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/ssl.py", line 412, in wrap_socket
              session=session
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/ssl.py", line 853, in _create
              self.do_handshake()
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/ssl.py", line 1117, in do_handshake
              self._sslobj.do_handshake()
             ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1056)  

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
              File "/Users/imac/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/qgiscloud/qgiscloudplugindialog.py", line 292, in check_login
              version_info=self._version_info())
              File "/Users/imac/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/qgiscloud/qgiscloudapi/qgiscloudapi.py", line 163, in check_login
              content = request.post(resource, data)
              File "/Users/imac/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/qgiscloud/qgiscloudapi/qgiscloudapi.py", line 569, in post
              return self.request(resource, method='POST', data=data)
              File "/Users/imac/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/qgiscloud/qgiscloudapi/qgiscloudapi.py", line 657, in request
              response = urllib.request.urlopen(req).read()
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/urllib/request.py", line 222, in urlopen
              return opener.open(url, data, timeout)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/urllib/request.py", line 525, in open
              response = self._open(req, data)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/urllib/request.py", line 543, in _open
              '_open', req)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/urllib/request.py", line 503, in _call_chain
              result = func(*args)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/urllib/request.py", line 1360, in https_open
              context=self._context, check_hostname=self._check_hostname)
              File "/Applications/QGIS3.10.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.7/urllib/request.py", line 1319, in do_open
              raise URLError(err)
             urllib.error.URLError:   


qgis setup

  • Pleas include information about the QGIScloud plugin configuration and steps taken to login. Information of databases and maps already uploaded may help. Also, include the log error in code text format. – Gabriel De Luca Dec 5 '19 at 11:10
  • Thanks for the response, I've made the changes toit he question you requested but as it's my first attempt to log in I don't have any QGIScould configuration details other than to say its v3.1.2 and is apprently installed successfully. – williamh Dec 5 '19 at 11:31
  • Had you created and verified you account in QGIScloud site? Can you check your account configuration in the site an read the FAQS in the support center to confirm that you are trying to login for a valid account? – Gabriel De Luca Dec 5 '19 at 13:23
  • 1
    Yes the account was confirmed and I am able to login to the website at qgiscloud.com. I see now there are two FAQs on the topic one relates to firewalls but I dont believe I have a firewall running. The other relates to a python error when startign the plugin however it seems to relate to SSL and i think it may be a different issue? stackoverflow.com/questions/27835619/… – williamh Dec 5 '19 at 16:08
  • Perhaps I should run the install certificates command as suggested in that thread? – williamh Dec 5 '19 at 16:13
0

Had this problem, too. This worked for me: https://github.com/qgiscloud/qgis-cloud-plugin/wiki/Resolving-certificate-problems-on-OSX

| improve this answer | |
0

The link below has definitely worked for me 9as given by do6.


The medicine is for QGIS version 3.4, replace it with your version i.e. 3.8, 3.10 or 3.12. follow the instructions step wise. SLOW.

https://github.com/qgiscloud/qgis-cloud-plugin/wiki/Resolving-certificate-problems-on-OSX

| improve this answer | |
  • Welcome to GisSE. Because links can break down, could you explain the main steps of the procedure? Thanks! – Kantan Apr 9 at 5:02

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.